Name:           libpeas
Version:        1.22.0
Release:        10
Summary:        Gobject-based plugins engine
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libpeas
Source0:        https://download.gnome.org/sources/%{name}/1.22/%{name}-%{version}.tar.xz

BuildRequires:  chrpath, intltool, pkgconfig(gio-2.0), pkgconfig(gladeui-2.0), pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0), pkgconfig(gobject-2.0), pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0), pkgconfig(pygobject-3.0), python3-devel
Requires:       python3-gobject
Provides:       %{name}-gtk%{?_isa} %{name}-gtk
Obsoletes:      %{name}-gtk
provides:       %{name}-loader-python3%{?_isa} %{name}-loader-python3
Obsoletes:      %{name}-loader-python3
Provides:       %{name}-loader-python = %{version}-%{release}
Obsoletes:      %{name}-loader-python < %{version}-%{release}

%description
libpeas is a gobject-based plugins engine, and is targetted at
giving every application the chance to assume its own extensibility.
It also has a set of features including, but not limited to:
multiple extension points; on demand (lazy) programming language
support for C, Python and Lua; simplicity of the API

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package includes libraries and header files for developing
applications that use libpeas.

%prep
%autosetup

%build
%configure --disable-silent-rules
%make_build

%install
%make_install
find $RPM_BUILD_ROOT%{_libdir} -type f -name '*.la' -print -exec rm -f {} ';'
chrpath -d $RPM_BUILD_ROOT%{_bindir}/peas-demo
chrpath -d $RPM_BUILD_ROOT%{_libdir}/libpeas-1.0/loaders/libpython3loader.so
chrpath -d $RPM_BUILD_ROOT%{_libdir}/libpeas-gtk-1.0.so
chrpath -d $RPM_BUILD_ROOT%{_libdir}/peas-demo/plugins/helloworld/libhelloworld.so
chrpath -d $RPM_BUILD_ROOT%{_libdir}/peas-demo/plugins/secondtime/libsecondtime.so

%find_lang libpeas

%ldconfig_scriptlets

%files -f libpeas.lang
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/libpeas*.so*
%dir %{_libdir}/libpeas-1.0/
%dir %{_libdir}/libpeas-1.0/loaders
%{_libdir}/libpeas-1.0/loaders/*.so*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/icons/hicolor/*/actions/libpeas-plugin.*

%files devel
%{_bindir}/peas-demo
%{_includedir}/libpeas-1.0/
%{_libdir}/peas-demo/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/glade/catalogs/libpeas-gtk.xml
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/libpeas/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir

%changelog
* Thu Nov 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.22.0-10
- Package init
